Subject: Re: bug#19872: 24.4; UTF8 characters of unusual width (Gnus markers)

From: Sebastien Vauban <[email-masked]>
Date: Mon, 16 Feb 2015 10:45:14 +0100

Eli Zaretskii wrote:
>> From: Sebastien Vauban <[email-masked]>
>> Date: Sun, 15 Feb 2015 10:05:58 +0100
>> 
>> Now that I've changed some Gnus markers to UTF8 "drawings" [1], I don't
>> have my Gnus summary buffer correctly aligned anymore.
>> 
>> See http://screencast.com/t/s33eYYg7Cn.
>> 
>> Is there a solution to that, to guarantee that the alignment can be
>> correct?
>
> Only if Gnus will align text using the :align-to display property,
> instead of inserting whitespace characters.

So, I take it for granted that it doesn't use it yet.  Is this quite
new?

>> Worse, it seems that the same UTF8 char can have a "correct" width in
>> some fonts, and not in others...
>
> Of course: it depends on the dimensions of the glyphs in each font.

Yes, but I was wondering (or hoping) if there was a mechanism in Emacs
to sort of zoom in/out the characters so that they'd take the same space
regardless of their (buggy?) definition (buggy when in
a non-proportional font)...

PS- This problem may occur, maybe, because of automatic font replacement
for characters not found in my default font (Consolas)?

Best regards,
  Seb